Skip to main content
GET
JavaScript

Authorizations

api_key
string
query
required

Coin Metrics API key can be specified as ?api_key= query parameter.

Query Parameters

assets
string[]
required

Comma separated list of assets.
Use a corresponding /catalog-all-v2/asset-{dataType} endpoint for the full list of supported assets for a given data type.

aggregation_method
string
default:aggregated_spread

The method to use for aggregation.

backfill
enum<string>
default:latest

What data should be sent upon a connection.
By default the latest values are sent just before real-time data.

Available options:
latest,
none
pretty
boolean
default:false

Human-readable formatting of JSON responses.

Response

Provided URI is too long. It must not be greater than 10000 symbols.